Enneo

Profile

Search profiles

GET /profiles

GET /profiles

Query parameters

qstringquery

Search string. It searches in any part of firstName, lastName or email. Defaults to all users

userIds[]integer[]query

List of specific user IDs to retrieve. When provided, only profiles with these IDs will be returned. Works in combination with other filters (e.g., show, teamIds).

show[]enum[]query

Which profiles to show. Can be provided as a single string value (?show=users) or as array values (?show[]=users&show[]=enneo). Defaults to 'users'

formatenumquery

Determines the format of the profiles. Possible values are 'full' or 'short'. In 'full' format, the settings and last login date of the user are included, provided the user has sufficient permissions.

limitintegerquery

Maximum number of profiles to return. Defaults to 100.

offsetintegerquery

Number of profiles to skip. Useful for pagination. Defaults to 0.

teamIds[]integer[]query

List of team IDs. If provided, only users from these teams will be returned. When not specified, all users are returned. When "unassigned", only users without a team are returned.

tagIds[]integer[]query

List of tag IDs. If provided, only users with these skills will be returned

channels[]string[]query

List of channel IDs. If provided, only users with these channels will be returned

roleIdintegerquery

Filter profiles by role ID

lastSeenstringquery

Filter users by their last seen time. Can be either a datetime value (e.g. "2023-12-01 14:30:00") or "online" to show only currently active users. When "online" is used, it shows users active in the last 10 minutes. Note: Requires 'readUserLastSeenDate' or 'readAnyUserProfile' permission.

Responses

200 — Successful operation

Response Example

{
  "success": true,
  "profiles": [
    null
  ]
}